## hubzero-cms-1.2 1.2.0

=== .pc/debian-changes-1.2.0-1/Makefile ===
# @package      hubzero-cms-1.2
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRSHAREDIR=$(DESTDIR)/usr/share

default all build:
	@true
	
install:
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms-1.2
	cp -r cms $(USRSHAREDIR)/hubzero-cms-1.2
	rm -fr $(USRSHAREDIR)/hubzero-cms-1.2/cms/.git
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf

configure:
	@true

clean:
	@true

=== debian/changelog ===
hubzero-cms-1.2 (1.2.0-1) unstable; urgency=low

  * 20130822.1 RC1

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 11:53:57 -0400

## hubzero-cms-1.2 1.2.1

=== debian/changelog ===
hubzero-cms-1.2 (1.2.1-1) unstable; urgency=low

  * 20130822.2 RC2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 22 Aug 2013 15:20:29 -0400

## hubzero-cms-1.2 1.2.2

=== debian/changelog ===
hubzero-cms-1.2 (1.2.2-1) unstable; urgency=low

  * 20130827.1 RC3 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 27 Aug 2013 13:05:49 -0400

## hubzero-cms-1.2 1.2.3

=== debian/changelog ===
hubzero-cms-1.2 (1.2.3-1) unstable; urgency=low

  * 20130830.1 RC4 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 30 Aug 2013 13:56:48 -0400

## hubzero-cms-1.2 1.2.4

=== debian/changelog ===
hubzero-cms-1.2 (1.2.4-1) unstable; urgency=low

  * 20130831.1 RC5 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 11:30:56 -0400

## hubzero-cms-1.2 1.2.5

=== debian/changelog ===
hubzero-cms-1.2 (1.2.5-1) unstable; urgency=low

  * 20130831.2 RC6

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 12:09:38 -0400

## hubzero-cms-1.2 1.2.6

=== debian/changelog ===
hubzero-cms-1.2 (1.2.6-1) unstable; urgency=low

  * 20130831.3 RC7 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 14:49:42 -0400

## hubzero-cms-1.2 1.2.7

=== debian/changelog ===
hubzero-cms-1.2 (1.2.7-1) unstable; urgency=low

  * 20130831.4 RC8 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 31 Aug 2013 15:46:34 -0400

## hubzero-cms-1.2 1.2.8

=== debian/changelog ===
hubzero-cms-1.2 (1.2.8-1) unstable; urgency=low

  * 20130901.1 RC9 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 01 Sep 2013 12:49:40 -0400

## hubzero-cms-1.2 1.2.9

=== debian/changelog ===
hubzero-cms-1.2 (1.2.9-1) unstable; urgency=low

  * 20130902.1 RC10 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 02 Sep 2013 19:23:30 -0400

## hubzero-cms-1.2 1.2.10

=== debian/changelog ===
hubzero-cms-1.2 (1.2.10-1) unstable; urgency=low

  * 20130903.1 RC11 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 09:31:00 -0400

## hubzero-cms-1.2 1.2.11

=== debian/changelog ===
hubzero-cms-1.2 (1.2.11-2) unstable; urgency=low

  * 20130903.2 RC12

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 10:11:15 -0400

## hubzero-cms-1.2 1.2.12

=== debian/changelog ===
hubzero-cms-1.2 (1.2.12-1) unstable; urgency=low

  * 20130903.3 RC13

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 11:20:35 -0400

hubzero-cms-1.2 (1.2.11-1) unstable; urgency=low

  * 20130903.2 RC12

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 10:11:15 -0400

## hubzero-cms-1.2 1.2.13

=== debian/changelog ===
hubzero-cms-1.2 (1.2.13-1) unstable; urgency=low

  * 20130903.4 RC14

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 13:02:43 -0400

## hubzero-cms-1.2 1.2.14

=== debian/changelog ===
hubzero-cms-1.2 (1.2.14-1) unstable; urgency=low

  * 20130903.5 RC15

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 13:20:39 -0400

## hubzero-cms-1.2 1.2.15

=== debian/changelog ===
hubzero-cms-1.2 (1.2.15-1) unstable; urgency=low

  * 20130903.6 RC16

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 13:50:13 -0400

=== debian/control ===
Source: hubzero-cms-1.2
Section: web
Priority: extra
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://hubzero.org

Package: hubzero-cms-1.2
Depends: hubzero-cli (>=1.1.21),apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,exim4,mysql-client
Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
Architecture: all
Description: The HUBzero(R) Platform for Scientific Collaboration CMS
 The HUBzero(R) Platform for Scientific Collaboration is a platform used to 
 create dynamic web sites for scientific research and educational activities. 
 With HUBzero, you can easily publish your research software and related 
 educational materials on the web.
 .
 HUBzero is a registered trademark of HUBzero Foundation, LLC.
 .
 This package contains the HUBzero Content Management System, which is based
 on (but not necessarily 100% compatible with) the Joomla! CMS <joomla.org>.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-cms-1.2
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2013 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2013 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-cms-1.2 install

# Build architecture-independent files here.
binary-indep: build install
	dh_install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## hubzero-cms-1.2 1.2.16

=== debian/changelog ===
hubzero-cms-1.2 (1.2.16-1) unstable; urgency=low

  * 20130903.7 RC17 add api stanza to apache config

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 15:00:14 -0400

## hubzero-cms-1.2 1.2.17

=== debian/changelog ===
hubzero-cms-1.2 (1.2.17-1) unstable; urgency=low

  * 20130903.8 RC18 fix database object reference 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 15:10:32 -0400

## hubzero-cms-1.2 1.2.18

=== Makefile ===
# @package      hubzero-cms-1.2
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2012-2013 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2012-2013 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.

USRSHAREDIR=$(DESTDIR)/usr/share

default all build:
	@true
	
install:
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms-1.2
	cp -r cms $(USRSHAREDIR)/hubzero-cms-1.2
	rm -fr $(USRSHAREDIR)/hubzero-cms-1.2/cms/.git
	rm -f $(USRSHAREDIR)/hubzero-cms-1.2/cms/vendor/bin/phantomjs
	rm -f $(USRSHAREDIR)/hubzero-cms-1.2/cms/vendor/dannytrue/phantomjs/phantomjs
	install --mode 0755 -d $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub.m4 $(USRSHAREDIR)/hubzero-cms-1.2/conf

configure:
	@true

clean:
	@true

=== debian/changelog ===
hubzero-cms-1.2 (1.2.18-1) unstable; urgency=low

  * 20130903.9 RC19 add php5-oauth to package recommends 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 03 Sep 2013 16:04:04 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: hubzero-cms-1.2
 Depends: hubzero-cli (>=1.1.21),apache2-mpm-prefork(>=2.2),libapache2-mod-php5(>=5.3),php5-mysql,php5-gd,php5-curl,exim4,mysql-client
-Recommends: php5-stem, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
+Recommends: php5-stem, php5-oauth, hubzero-texvc, hubzero-textifier, clamav, hubzero-mailgateway, git
 Architecture: all
 Description: The HUBzero(R) Platform for Scientific Collaboration CMS
  The HUBzero(R) Platform for Scientific Collaboration is a platform used to

## hubzero-cms-1.2 1.2.u20

=== Makefile ===
# @package      hubzero-cms-1.2
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-1.2
	cp -r cms $(USRSHARE)/hubzero-cms-1.2
	rm -fr $(USRSHARE)/hubzero-cms-1.2/cms/.git
	install --mode 0755 -d $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsauth.m4 $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-cmsdebug.m4 $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-access.m4 $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D logrotate-hub-error.m4 $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub-ssl.m4 $(USRSHARE)/hubzero-cms-1.2/conf
	install --mode 0644 -D hub.m4 $(USRSHARE)/hubzero-cms-1.2/conf

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-cms-1.2 1.2.u22

=== Makefile ===
# @package      hubzero-cms-1.2
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2013-2015 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2013-2015 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

all:
	@true
	
install:
	@true

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean
